%global         pypi_name      candl_like

%define         debug_package  %{nil}

%define         gitrel         git20250712

Name:           python-candl-like
Version:        2.0.3
Release:        %mkrel -c %{gitrel} 1
Summary:        A differentiable likelihood framework for Bayesian analysis
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/candl-like
#Source0:        #{pypi_source}
Source0:        %{pypi_name}-%{version}-%{gitrel}.tar.gz


BuildArch:      noarch



%description
Candl-like is a differentiable likelihood framework for performing
Bayesian data analysis on cosmological measurements. Some key features are
JAX-compatibility, allowing for fast and easy computation of gradients
and Hessians of the likelihoods; support for the latest public
data releases from the South Pole Telescope and Atacama Cosmology
Telescope collaborations; interface tools for work with other popular
cosmology software packages (e.g. Cobaya and MontePython).


%package -n python3-candl-like
Summary:        A differentiable likelihood framework for Bayesian analysis
Group:          Development/Python
%{?python_provide:%python_provide python3-cobaya}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(flit-core)
BuildRequires:  python3dist(matplotlib)

Provides:       candl = %{version}-%{release}

%description -n python3-candl-like
Candl-like is a differentiable likelihood framework for performing
Bayesian data analysis on cosmological measurements. Some key features are
JAX-compatibility, allowing for fast and easy computation of gradients
and Hessians of the likelihoods; support for the latest public
data releases from the South Pole Telescope and Atacama Cosmology
Telescope collaborations; interface tools for work with other popular
cosmology software packages (e.g. Cobaya and MontePython).


%prep
%autosetup -p1 -n %{pypi_name}-%{version}-%{gitrel}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-candl-like
%doc README.rst

%{python3_sitelib}/candl
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Sat Jul 12 2025 eatdirt <eatdirt> 2.0.3-0.git20250712.1.mga10
+ Revision: 2253625
- imported package python-candl-like

